<?php
/**
* Icons Module
* Version		: 1.0
* Created by	: joomla2you
* Email			: info@joomla2you.com
* URL			: www.joomla2you.com
* License GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$doc = JFactory::getDocument();

// Load CSS/JS
$doc->addStyleSheet (JURI::base() . 'modules/mod_ju_coolicons/media/css/style.css' );
$doc->addStyleSheet (JURI::base() . 'modules/mod_ju_coolicons/media/budicons.css' );

// Styling from module parameters
$ju_css = '
#juiconsol' . $ju_moduleid . ' { margin-top:' . $ju_marg_top . 'px; position:relative;}
#juiconsol' . $ju_moduleid . ' #service {display: inline-block; width:' . $ju_image_width . ';padding:' . ($ju_image_margin_x / 2) . 'px ;box-sizing: border-box;}
#juiconsol' . $ju_moduleid . ' .ju-coolicons.type1, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type2, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type3, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type4, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type5, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type6, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type7, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type8, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type9, #juiconsol' . $ju_moduleid . ' .ju-coolicons.type10 {color:' . $ju_text_color . '; background-color: ' . $ju_overlay_color . ';  }
.ju-coolicons.type1:hover .icon, .ju-coolicons.type2:hover .icon, .ju-coolicons.type2:hover .link, .ju-coolicons.type3 .icon span, .ju-coolicons.type4:hover .icon, .ju-coolicons.type4:hover .dt-sc-button:after, .ju-coolicons.type4:hover .dt-sc-button, .ju-coolicons.type7:hover .icon, .ju-coolicons.type8 .icon, .ju-coolicons.type9 .icon:before, .ju-coolicons.type10 .icon{background:' . $ju_custom_color . ';}
@media only screen and (min-width: 960px) and (max-width: 1280px) {#juiconsol' . $ju_moduleid . ' #service {width:' . $ju_image_width_tabl . ';}}
@media only screen and (min-width: 768px) and (max-width: 959px) {#juiconsol' . $ju_moduleid . ' #service {width:' . $ju_image_width_tabp . ';}}
@media only screen and ( max-width: 767px ) {#juiconsol' . $ju_moduleid . ' #service {width:' . $ju_image_width_mobl . ';}}
@media only screen and (max-width: 440px) {#juiconsol' . $ju_moduleid . ' #service {width:' . $ju_image_width_mobp . ';}}
';
// Put styling in header
$doc->addStyleDeclaration($ju_css);
?>
<div id="juiconsol<?php echo $ju_moduleid; ?>">
<?php foreach ($imagehover_images as $item) : ?>
<div id="service">
<div class="ju-coolicons <?php echo $item->ju_type; ?>">
<div class="icon"> <span class="<?php echo $item->ju_image; ?>"> </span> </div>
<h5><?php if (!empty($item->ju_target_url)) : ?><a href="<?php echo $item->ju_target_url; ?>" target="<?php echo $ju_target; ?>"><?php endif; ?> <?php echo $item->ju_title; ?> <?php if (!empty($item->ju_target_url)) : ?></a><?php endif; ?></h5>
<?php if ($item->ju_text != '') : ?><p><?php echo $item->ju_text; ?></p><?php endif; ?>
</div>
</div>
<?php endforeach; ?>
</div>
